# Visualization
TKService
Aspect

# Aspect_MarkerStyle Class Reference

This class defines a Marker Style.
The Style can be Predefined or defined by the user
A user defined style must be described in the space <-1,+1>
.

`#include <Aspect_MarkerStyle.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Aspect_MarkerStyle ()
| Creates a marker style with the default value of MarkerStyle type : POINT .
Standard_EXPORT | Aspect_MarkerStyle (const Aspect_TypeOfMarker aType)
| Creates the marker style <atype>. .
Standard_EXPORT | Aspect_MarkerStyle (const TColStd_Array1OfReal &aXpoint, const TColStd_Array1OfReal &aYpoint)
| Creates a marker style from a implicit draw point .
Standard_EXPORT | Aspect_MarkerStyle (const TColStd_Array1OfReal &aXpoint, const TColStd_Array1OfReal &aYpoint, const TColStd_Array1OfBoolean &aSpoint)
| Creates a marker style from a move-draw point descriptor . Each coordinate <aXpoint(i),aYpoint(i)> must be defined .
Standard_EXPORT Aspect_MarkerStyle & | Assign (const Aspect_MarkerStyle &Other)
| Updates the marker style <me> from the definition of the marker style <other>. .
Aspect_MarkerStyle & | operator= (const Aspect_MarkerStyle &Other)
Standard_EXPORT Aspect_TypeOfMarker | Type () const
| Returns the type of the marker style <me> .
Standard_EXPORT Standard_Integer | Length () const
| Returns the components length of the marker descriptors .
Standard_EXPORT Standard_Boolean | Values (const Standard_Integer aRank, Standard_Real &aX, Standard_Real &aY) const
| Returns the point and status of a marker style .
Standard_EXPORT const TShort_Array1OfShortReal & | XValues () const
| Returns the X vector of a marker style descriptor .
Standard_EXPORT const TShort_Array1OfShortReal & | YValues () const
| Returns the Y vector of a marker style descriptor .
Standard_EXPORT const TColStd_Array1OfBoolean & | SValues () const
| Returns the State vector of a marker style descriptor .
Standard_EXPORT Standard_Boolean | IsEqual (const Aspect_MarkerStyle &Other) const
Standard_Boolean | operator== (const Aspect_MarkerStyle &Other) const
Standard_EXPORT Standard_Boolean | IsNotEqual (const Aspect_MarkerStyle &Other) const
Standard_Boolean | operator!= (const Aspect_MarkerStyle &Other) const

## Private Member Functions

Standard_EXPORT void | SetPredefinedStyle ()
| Set MyMarkerDescriptor with the predefined style values according of current type .

## Private Attributes

Aspect_TypeOfMarker | MyMarkerType
Handle_TShort_HArray1OfShortReal | MyXpoint
Handle_TShort_HArray1OfShortReal | MyYpoint
Handle_TColStd_HArray1OfBoolean | MySpoint

## Constructor & Destructor Documentation

Standard_EXPORT Aspect_MarkerStyle::Aspect_MarkerStyle | ( |  | ) |

Standard_EXPORT Aspect_MarkerStyle::Aspect_MarkerStyle | ( | const Aspect_TypeOfMarker | aType | ) |

Standard_EXPORT Aspect_MarkerStyle::Aspect_MarkerStyle | ( | const TColStd_Array1OfReal & | aXpoint,
|  | const TColStd_Array1OfReal & | aYpoint
| ) |

Standard_EXPORT Aspect_MarkerStyle::Aspect_MarkerStyle | ( | const TColStd_Array1OfReal & | aXpoint,
|  | const TColStd_Array1OfReal & | aYpoint,
|  | const TColStd_Array1OfBoolean & | aSpoint
| ) |

## Member Function Documentation

Standard_EXPORT Aspect_MarkerStyle& Aspect_MarkerStyle::Assign | ( | const Aspect_MarkerStyle & | Other | ) |

Standard_EXPORT Standard_Boolean Aspect_MarkerStyle::IsEqual | ( | const Aspect_MarkerStyle & | Other | ) | const

Standard_EXPORT Standard_Boolean Aspect_MarkerStyle::IsNotEqual | ( | const Aspect_MarkerStyle & | Other | ) | const

Standard_EXPORT Standard_Integer Aspect_MarkerStyle::Length | ( |  | ) | const

void Aspect_MarkerStyle::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Aspect_MarkerStyle::operator new | ( | size_t | size | ) | `[inline]`

void* Aspect_MarkerStyle::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_Boolean Aspect_MarkerStyle::operator!= | ( | const Aspect_MarkerStyle & | Other | ) | const`[inline]`

Aspect_MarkerStyle& Aspect_MarkerStyle::operator= | ( | const Aspect_MarkerStyle & | Other | ) | `[inline]`

Standard_Boolean Aspect_MarkerStyle::operator== | ( | const Aspect_MarkerStyle & | Other | ) | const`[inline]`

Standard_EXPORT void Aspect_MarkerStyle::SetPredefinedStyle | ( |  | ) | `[private]`

Standard_EXPORT const TColStd_Array1OfBoolean& Aspect_MarkerStyle::SValues | ( |  | ) | const

Standard_EXPORT Aspect_TypeOfMarker Aspect_MarkerStyle::Type | ( |  | ) | const

Standard_EXPORT Standard_Boolean Aspect_MarkerStyle::Values | ( | const Standard_Integer | aRank,
|  | Standard_Real & | aX,
|  | Standard_Real & | aY
| ) | const

Standard_EXPORT const TShort_Array1OfShortReal& Aspect_MarkerStyle::XValues | ( |  | ) | const

Standard_EXPORT const TShort_Array1OfShortReal& Aspect_MarkerStyle::YValues | ( |  | ) | const

## Field Documentation

Aspect_TypeOfMarker Aspect_MarkerStyle::MyMarkerType `[private]`

Handle_TColStd_HArray1OfBoolean Aspect_MarkerStyle::MySpoint `[private]`

Handle_TShort_HArray1OfShortReal Aspect_MarkerStyle::MyXpoint `[private]`

Handle_TShort_HArray1OfShortReal Aspect_MarkerStyle::MyYpoint `[private]`

The documentation for this class was generated from the following file:

- Aspect_MarkerStyle.hxx